XMLDiff\DOM::diff
XMLDiff\Memory
XMLDiff\DOM
PHP Manual

# XMLDiff\DOM::merge

(PECL xmldiff >= 0.8.0)

XMLDiff\DOM::merge — Produce merged DOMDocument

### Description

public DOMDocument XMLDiff\DOM::merge ( DOMDocument `$src` , DOMDocument `$diff` )

Create new DOMDocument based on the diff.

### Parameters

`src`

  Source DOMDocument object.

`diff`

  DOMDocument object containing the diff information.

### Return Values

Merged DOMDocument or NULL.

XMLDiff\DOM::diff
XMLDiff\Memory
XMLDiff\DOM
PHP Manual